ZDRSCL(3f)

NAME
ZDRSCL - an n-element complex vector x by the real scalar 1/a

SYNOPSIS

SUBROUTINE ZDRSCL(
    N, SA, SX, INCX )

INTEGER
    INCX, N

DOUBLE
    PRECISION SA

COMPLEX*16
    SX( * )

PURPOSE
ZDRSCL multiplies an n-element complex vector x by the real scalar 1/a. This is done without overflow or underflow as long as the final result x/a does not overflow or underflow.

ARGUMENTS

N       (input) INTEGER
    The number of components of the vector x.

SA      (input) DOUBLE PRECISION
    The scalar a which is used to divide each component of x. SA must be >= 0, or the subroutine will divide by zero.

SX      (input/output) COMPLEX*16 array, dimension
    (1+(N-1)*abs(INCX)) The n-element vector x.

INCX    (input) INTEGER
    The increment between successive values of the vector SX. > 0: SX(1) = X(1) and SX(1+(i-1)*INCX) = x(i), 1< i<= n